dpkg-distaddfile(1)

BEZEICHNUNG
dpkg-distaddfile - Einträge zu debian/files hinzufügen

ÜBERSICHT
dpkg-distaddfile [Option …] Dateiname Sektion Priorität

BESCHREIBUNG
dpkg-distaddfile fügt einen Eintrag für eine benannte Datei in debian/files hinzu.

Es erwartet drei nicht-Options-Argumente, den Dateinamen, die Sektion und die Priorität für die .changes-Datei.

Der Dateiname sollte relativ zum Verzeichnis angegeben werden, in dem dpkg-genchanges die Dateien erwartet, normalerweise .., statt ein relativer Pfadname zu dem aktuellen Verzeichnis zu sein, wenn dpkg-distaddfile ausgeführt wird.

OPTIONEN

-fDateienlist-Datei
    Liest oder schreibt die Liste der hochzuladenden Dateien hierher, statt debian/files zu verwenden.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

DATEIEN

debian/files
    Die Liste der erzeugten Dateien, die Teil des vorbereiteten Uploads sind. dpkg-distaddfile kann dazu verwendet werden, zusätzliche Dateien hinzuzufügen.

SIEHE AUCH
deb-src-files(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.